classification
Title: test_multiprocessing_spawn randomly hangs AMD64 FreeBSD 10.x Shared 3.x
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: test_multiprocessing_spawn hangs randomly
View: 31180
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2017-09-06 23:32 by vstinner, last changed 2017-09-21 11:21 by vstinner. This issue is now closed.

Messages (2)
msg301544 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-06 23:32
http://buildbot.python.org/all/builders/AMD64%20FreeBSD%2010.x%20Shared%203.x/builds/818/steps/test/logs/stdio

0:08:27 load avg: 2.79 [403/407] test_strtod passed -- running: test_multiprocessing_spawn (244 sec)
0:08:27 load avg: 2.79 [404/407] test_syslog passed -- running: test_multiprocessing_spawn (244 sec)
0:08:28 load avg: 2.79 [405/407] test_pickle passed -- running: test_multiprocessing_spawn (246 sec)
0:08:52 load avg: 1.99 [406/407] test_io passed (49 sec) -- running: test_multiprocessing_spawn (269 sec)

command timed out: 1200 seconds without output running ['make', 'buildbottest', 'TESTOPTS=-j2 -j4', 'TESTPYTHONOPTS=', 'TESTTIMEOUT=900'], attempting to kill
process killed by signal 9
program finished with exit code -1
elapsedTime=1733.500843
msg302275 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-15 16:42
I merged this issue with bpo-31180.
History
Date User Action Args
2017-09-21 11:21:42vstinnersetstatus: open -> closed
stage: resolved
2017-09-15 16:42:15vstinnersetsuperseder: test_multiprocessing_spawn hangs randomly
resolution: duplicate
messages: + msg302275
2017-09-06 23:32:15vstinnercreate